# Adding more pages

If you wint your website to be composed by more than just one page we recommend using [type-route](https://typehero.org/type-route) and [github-pages-plugin-for-type-route](https://github.com/garronej/github-pages-plugin-for-type-route).&#x20;

Let's see how to set it up.

```bash
yarn add type-route
yarn add github-pages-plugin-for-type-route
```

1. [Create a `src/router.ts` file](https://github.com/thieryw/crispy-octo-bassoon/commit/8317ed7fad3d5b8c466d735f5cca86a717b18736).
2. [Create test pages](https://github.com/thieryw/crispy-octo-bassoon/commit/686a0eb701d3fd2075815509cc6a0a8c9319b14e).
3. [Update header and footer](https://github.com/thieryw/crispy-octo-bassoon/commit/2ef142209c932f0bbef68b271ee682908ab0e2af).
4. [Update package.json](https://github.com/thieryw/crispy-octo-bassoon/commit/7b24342b4ea2185f0d665a6f756e5870cc1c5ab9).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gitlanding.dev/v0/adding-more-pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
